20 сентября 2015

Выпуск драйвера AMD Catalyst 15.9 для Linux

Компания AMD опубликовала новую версию проприетарного драйвера AMD Catalyst 15.9. В новом выпуске отмечаются только исправления ошибок, в том числе решены проблемы с установкой в Ubuntu 14.04.3, устранены падения и нарушения отображения, проявляющиеся при использовании игр Company of Heroes 2, Middle-earth: Shadow of Mordor, DIRT Showdown и DOTA 2.
Драйвер поддерживает X-Server 1.17, ядро Linux 3.19 и glibc 2.3.


Официально поддерживаемые дистрибутивы Linux:

Red Hat Enterprise Linux 7.1, 7.0, 6.6, 6.5,
Ubuntu 12.04.4 LTS, 14.04.2, 15.04,
SUSE Linux Enterprise 11 SP3, 12 и OpenSuSE 13.1.

Загрузить и установить драйвер AMD Catalyst 15.9 можно с официального сайта по следующей ссылке: Drivers + Download Center

Источник: AMD Catalyst™ 15.9 Proprietary Linux Graphics Driver

Удачи.

21 комментарий :

  1. Спасибо. А можно обновить инструкции по установке? А то как для Nvidia, так на каждом углу...

    ОтветитьУдалить
    Ответы
    1. Анатолий, во первых у меня нет железяки с видеокартой AMD, чтобы написать инструкцию, а во вторых я ведь дал ссылку в статье на загрузку и установку драйвера: http://support.amd.com/en-us/download. Заходите на страницу по ссылке, выбираете свою видеокарту, архитектуру системы, загружаете и устанавливаете драйвер deb-пакетом, по окончании установки открываете Источники приложений - Дополнительные драйверы, активируете драйвер и перезагружаете компьютер. По-моему, как-то так, если я не ошибаюсь.

      Удалить
    2. Стоит все же выше в тексте материала написать, что установка данных дров, грозит неработоспособности вашей системы, установка равносильна убийству Ubuntu, не стоит вообще советовать такое устанавливать.

      Удалить
  2. Жаль... Нет, нету deb пакета. Там архив с run установщиком, а для этого способа, десятки противоречивых инструкций...

    ОтветитьУдалить
    Ответы
    1. Анатолий, ну какже нет deb-пакета?
      1. Заходите по ссылке: http://support.amd.com/en-us/download
      2. В правой колонке выбераете Radeon™ R9 Fury, R9 300, and R7 300 Series или другой и клац по ссылке Ubuntu (32-bit) или Ubuntu (64-bit).
      3. Откроются Features. Выберите что вам нужно и кнопка *Download. Это и есть deb-пакет с выбранным драйвером.
      Это же просто.)

      Удалить
    2. Ага :) Спасибо, нашёл :) Не подскажите, как из директории, несколько deb пакетов установить? (видел где то, одной командой)...

      Удалить
    3. Регулярно ставлю дебы, в частности обновляя ядро. Сделал в .bashrc алиас: alias deb="sudo dpkg -i *.deb" ..теперь в терминале достаточно ввести просто deb ))

      Удалить
    4. ну как это нет пакета... запускаете инсталлер и говорите ему собрать пакет для вашей системы :))

      Удалить
  3. Если после установки этого драйвера система у вас больше не грузится и иксы жалуются на тяжелую судьбу в синем окне - вам поможет:
    sudo apt-get remove fglrx
    sudo apt-get install fglrx
    sudo aticonfig --initial

    У меня в 17.2 (3.16.0-38) с Radeon R9 M270X каталист 15.9 ну никак не завелся.

    ОтветитьУдалить
    Ответы
    1. Если так работает драйвер AMD Catalyst™ 15.9 Proprietary Ubuntu 14.04 x86 Video Driver for Graphics Accelerators, можно попробовать минималку, который находится ниже, потестим.

      Удалить
    2. я вылечил путём "sudo apt-get install xorg" (или как-то так, не помню, смотрел на сообщение об ошибке)
      "sudo aticonfig --initial" - на мой взгляд, не нужно, если есть нормальный конфиг файл.
      если виснет на заставке - нажимаем ctrl+alt+f7 и попадаем в консоль.

      Удалить
    3. Повезло тебе, я рады прикола установил данные дрова, ребутнулся и темный монитор, даж CTRL+ALT+F1 ни F7 ничего не работало, так как сижу с модема пришлось сносить систему и заново ставить.

      Я вот как-то настроил все подтянул установил итп, и как раз застал проблему скайпа, пока в гугль не пошел и не увидел новость, еще бы пытался войти, до этого раз 15 пытался))

      Но нашел выход, есть же веб-интерфейс - https://web.skype.com/ru/

      Удалить
    4. ну правильно, чтобы работал ctrl+alt+f7 нужен работающий
      framebuffer, который начиная с ядер 3.13 поломался, так как
      модуль radeonfb заблочен в ядре по причине глюкавости, а
      vesafb они заменили на uvesafb.
      надо было позаботиться об этом заранее: пересобрать
      рам-диск с модулем uvesafb.

      Удалить
  4. У меня тоже не пошло, 17,2 начинает грузится в текстовом режиме а потом черный экран. и все как не пробовал но удалить не получается. (Файловая система доступна только для чтения)
    Процессор А10 6800К

    ОтветитьУдалить
    Ответы
    1. ядро какое? если >3.19, то так просто не заведётся. патчить надо...

      Удалить
  5. меня пока вполне стандартный драйвер (не проприетарный) устраивает. хотя в игры не играю.

    ОтветитьУдалить
  6. Ядро 3,16. Уже все справил. Хоть переставлять не пришлось. Удалил драйвера поставит через рекавери свободные и Минт 17,2 загрузился. Но вот поставил вновь из минтовские амдшные и в них блендер вылетает. На свободных норм. Плюнул. Туда ставить проверять. Попробовал поставить эти новые и нормально поставились и заработали. И блендер нормально запускается и работает.

    ОтветитьУдалить
  7. У меня тоже темный монитор, и CTRL+ALT+F1 ни F7 в заставке не срабатывала. Только через рекавери в примонтировал и зашел в рут, и там только получилось. Пол дня потратил.

    ОтветитьУдалить
  8. Конечно же обладателям старого железа и людям, которых не интересуют последние игры и спец. софт (тот же фотошоп в вайне приотличнейше видит видяху, но только на пропр. дровах) лучше сидеть на свободном драйвере.

    Просто вдумайтесь - в предыдущей версии каталиста если переименовать бинарник контры в игре вырастет фпс. Это в принципе все, что нужно знать о качестве дров АМД
    (вот пруф: http://www.phoronix.com/scan.php?page=article&item=amd-csgo-workaround&num=2)

    ОтветитьУдалить